import request from '@/utils/request'

/**
 * @data 证件信息-分页
 */ 
export function certificateInfoListApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateInfo/list',
    method: 'get',
	params:data
  })
}   

/**
 * @data 新增证件信息
 */
export function addCertificateInfoApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateInfo/add',
    method: 'post',
    data
  })
}
/**
 * @data 编辑证件信息
 */
export function updateCertificateInfoApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateInfo/edit',
    method: 'post',
    data
  })
}
/**
 * @data 删除证件信息
 */
export function deleteCertificateInfoApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateInfo/del',
    method: 'post',
    data
  })
}




/**
 * @data 证件记录-分页
 */
export function certificateRecordApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateInfo/list',
    method: 'get',
	params:data
  })
}    

/**
 * @data 存证超期-分页
 */
export function certificateLifespanApi(data) {
  return request({
    url: '/certificate/certificate_manage/certificateLifespan/list',
    method: 'get',
	params:data
  })
}    




